Bug 119201 - FILEOPEN Hidden shape in DOCX shown in Writer
Summary: FILEOPEN Hidden shape in DOCX shown in Writer
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Aron Budea
URL:
Whiteboard: target:6.3.0
Keywords: filter:docx
Depends on:
Blocks: OOXML-Shapes
  Show dependency treegraph
 
Reported: 2018-08-10 17:00 UTC by Aron Budea
Modified: 2019-03-04 11:48 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
Sample DOCX (19.03 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2018-08-10 17:00 UTC, Aron Budea
Details
Comparison screenshot (Word - Writer) (96.06 KB, image/png)
2018-08-10 17:00 UTC, Aron Budea
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Budea 2018-08-10 17:00:06 UTC
Created attachment 144090 [details]
Sample DOCX

This is the same case as bug 108691, but in DOCX this time, with surprisingly different results.

Open the attached file. It has some text, and a rectangle covering most of it, but it's set to invisible, thus it's not shown in Word.

=> The supposedly hidden shape is shown in Writer.

In DOC the shape isn't saved in the document in Word, so that case isn't relevant.

Observed using LO 6.1.0.3 & 3.3.0 / Windows 7.
Comment 1 Aron Budea 2018-08-10 17:00:51 UTC
Created attachment 144091 [details]
Comparison screenshot (Word - Writer)
Comment 2 Justin L 2018-08-11 10:47:06 UTC
confirmed in master.
Comment 3 Commit Notification 2019-03-04 11:15:56 UTC
Aron Budea committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/0b9e4f6085d147c43a86d107303eea9b86e7f34c%5E%21

tdf#119201 Don't show/print hidden shapes in DOCX

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Aron Budea 2019-03-04 11:48:19 UTC
Fixed.